"use strict";
const common_vendor = require("../../common/vendor.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/store/useWorkStore.js");
const ME_user_evaluate_model = require("./model.js");
require("../../gen/Apis.js");
require("../../common/libraries/setTabBar.js");
require("../../common/libraries/apiLoading.js");
if (!Array) {
  const _easycom_up_icon2 = common_vendor.resolveComponent("up-icon");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_up_icon2 + _easycom_hs_footer2)();
}
const _easycom_up_icon = () => "../../node-modules/uview-plus/components/u-icon/u-icon.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_up_icon + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      ME_user_evaluate_model.useModel.dataForm.value.orders_id = e == null ? void 0 : e.id;
      onShow();
    });
    const onShow = (e) => {
    };
    const onClickCurrent = (idx) => {
      console.log(idx, "idx");
      ME_user_evaluate_model.useModel.dataForm.value.rating = idx;
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(5, (i, index, i0) => {
          return {
            a: index,
            b: common_vendor.o(($event) => onClickCurrent(i), index),
            c: "5fec7570-0-" + i0,
            d: common_vendor.p({
              name: "star-fill",
              size: "25px",
              color: index < common_vendor.unref(ME_user_evaluate_model.useModel).dataForm.value.rating ? "#FFD415" : "#ddd"
            })
          };
        }),
        b: common_vendor.unref(ME_user_evaluate_model.useModel).dataForm.value.content,
        c: common_vendor.o(($event) => common_vendor.unref(ME_user_evaluate_model.useModel).dataForm.value.content = $event.detail.value),
        d: common_vendor.p({
          btnParimaryName: "提交"
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/ME/user_evaluate/index.vue"]]);
wx.createPage(MiniProgramPage);
